Package org.wso2.carbon.deployment.synchronizer.ui.client

## Class DeploymentSyncAdminClient

- java.lang.Object
- - org.wso2.carbon.deployment.synchronizer.ui.client.DeploymentSyncAdminClient

-     public class DeploymentSyncAdminClient
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeploymentSyncAdminClient​(org.apache.axis2.context.ConfigurationContext configCtx, String backendServerURL, String cookie, Locale locale)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkout()` |
    `void` | `commit()` |
    `void` | `disableSynchronizer()` |
    `void` | `enableSynchronizer​(org.wso2.carbon.deployment.synchronizer.stub.types.util.DeploymentSynchronizerConfiguration config)` |
    `org.wso2.carbon.deployment.synchronizer.stub.types.util.DeploymentSynchronizerConfiguration` | `getConfiguration()` |
    `long` | `getLastCheckoutTime()` |
    `long` | `getLastCommitTime()` |
    `org.wso2.carbon.deployment.synchronizer.stub.types.util.RepositoryConfigParameter[]` | `getParamsByRepositoryType​(String repositoryType)` |
    `String[]` | `getRepositoryTypes()` |
    `void` | `updateSynchronizer​(org.wso2.carbon.deployment.synchronizer.stub.types.util.DeploymentSynchronizerConfiguration config)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentSyncAdminClient

          public DeploymentSyncAdminClient​(org.apache.axis2.context.ConfigurationContext configCtx,
                                           String backendServerURL,
                                           String cookie,
                                           Locale locale)
                                    throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### getConfiguration

          public org.wso2.carbon.deployment.synchronizer.stub.types.util.DeploymentSynchronizerConfiguration getConfiguration()
                                                                                                                       throws Exception

      Throws:
        `Exception`

    - #### disableSynchronizer

          public void disableSynchronizer()
                                   throws Exception

      Throws:
        `Exception`

    - #### enableSynchronizer

          public void enableSynchronizer​(org.wso2.carbon.deployment.synchronizer.stub.types.util.DeploymentSynchronizerConfiguration config)
                                  throws Exception

      Throws:
        `Exception`

    - #### updateSynchronizer

          public void updateSynchronizer​(org.wso2.carbon.deployment.synchronizer.stub.types.util.DeploymentSynchronizerConfiguration config)
                                  throws Exception

      Throws:
        `Exception`

    - #### getLastCommitTime

          public long getLastCommitTime()
                                 throws Exception

      Throws:
        `Exception`

    - #### getLastCheckoutTime

          public long getLastCheckoutTime()
                                   throws Exception

      Throws:
        `Exception`

    - #### commit

          public void commit()
                      throws Exception

      Throws:
        `Exception`

    - #### checkout

          public void checkout()
                        throws Exception

      Throws:
        `Exception`

    - #### getParamsByRepositoryType

          public org.wso2.carbon.deployment.synchronizer.stub.types.util.RepositoryConfigParameter[] getParamsByRepositoryType​(String repositoryType)
                                                                                                                        throws Exception

      Throws:
        `Exception`

    - #### getRepositoryTypes

          public String[] getRepositoryTypes()
                                      throws Exception

      Throws:
        `Exception`